Bug 1167511 - HDMI output broken on Radeon with kernels 3.17.3 and 3.17.4
Summary: HDMI output broken on Radeon with kernels 3.17.3 and 3.17.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 21
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F21FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2014-11-25 00:31 UTC by Adam Williamson
Modified: 2014-12-29 17:23 UTC (History)
5 users (show)

Fixed In Version: kernel-3.17.6-200.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-02 03:03:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2014-11-25 00:31:01 UTC
There's an upstream bug:

https://bugzilla.kernel.org/show_bug.cgi?id=88481

which breaks HDMI output on Radeon systems (not sure if it affects absolutely all Radeon+HDMI combos or if it works if you're using audio output or something, but it certainly affected me and multiple others). The bug is in kernels 3.17.3 and 3.17.4.

The bug has been fixed in upstream master:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=83d04c39f9048807a8500e575ae3f1718a3f45bb

but not in a 3.17 release yet (it was found in 3.17.3, and the fix missed 3.17.4). This is a major problem for anyone trying to use a Radeon adapter and an HDMI display, obviously. I'm proposing as an FE as if not fixed, no-one will be able to use the F21 release media with such a configuration.

Comment 1 Scott Suehle 2014-11-26 20:19:22 UTC
Discussed at today's blocker review meeting [1]. Accepted as a AcceptedFreezeException. Having HDMI work for radeon cards would be good to get fixed for GA.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2014-11-12/

Comment 2 Dan Horák 2014-11-27 11:14:09 UTC
Shouldn't this be moved to kernel rather than xorg driver so Josh can pick the patch for the next kernel build?

Comment 3 Adam Williamson 2014-11-27 17:55:34 UTC
Bugs in KMS stuff are assigned to the xorg driver packages by convention, I have poked Josh about it a few times but he's on PTO this week apparently. I might just do this myself, I'd hate to ship F21 with it broken.

Comment 4 Josh Boyer 2014-11-27 18:45:05 UTC
(In reply to Adam Williamson (Red Hat) from comment #3)
> Bugs in KMS stuff are assigned to the xorg driver packages by convention, I
> have poked Josh about it a few times but he's on PTO this week apparently. I
> might just do this myself, I'd hate to ship F21 with it broken.

Added.

Comment 5 Fedora Update System 2014-11-28 00:14:27 UTC
kernel-3.17.4-301.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kernel-3.17.4-301.fc21

Comment 6 Fedora Update System 2014-11-29 20:59:00 UTC
Package kernel-3.17.4-301.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.17.4-301.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15926/kernel-3.17.4-301.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-12-02 03:03:04 UTC
kernel-3.17.4-301.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-12-08 21:52:57 UTC
kernel-3.17.6-200.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.17.6-200.fc20

Comment 9 Fedora Update System 2014-12-13 09:52:40 UTC
kernel-3.17.6-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Daibhidh 2014-12-29 15:21:52 UTC
HDMI output on radeon card does not work for me with Fedora 21 - it gives me a static messed up screen. Also, when the HDMI is connected, there is a visual disturbance on the laptop monitor (driven by the Intel card), arising from moving the mouse around.

I am using kernel 3.17.7-300.fc21.
All was fine with Fedora 20.

I include some lines from journalctl.
I don;t know how relevant this is - there is an (EE) message at
Dec 27 21:07:12 (first message at this timestamp).

Cheers.

Dec 27 21:07:11 daves-notebook dbus[745]: [system] Successfully activated service 'org.freedesktop.hostname1'
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): EDID vendor "MEI", prod id 49462
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Using hsync ranges from config file
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Using vrefresh ranges from config file
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Printing DDC gathered Modelines:
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1280x720"x0.0   74.25  1280 1720 1760 1980  720 725 730 750 +hsync +vsync (37.5 kHz eP)
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1280x720"x0.0   74.25  1280 1390 1430 1650  720 725 730 750 +hsync +vsync (45.0 kHz e)
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1920x1080"x0.0  148.50  1920 2448 2492 2640  1080 1084 1089 1125 +hsync +vsync (56.2 kHz e)
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1920x1080i"x0.0   74.25  1920 2448 2492 2640  1080 1084 1094 1125 interlace +hsync +vsync (
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "720x576"x0.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1920x1080i"x0.0   74.25  1920 2008 2052 2200  1080 1084 1094 1125 interlace +hsync +vsync (
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "720x480"x0.0   27.00  720 736 798 858  480 489 495 525 -hsync -vsync (31.5 kHz e)
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1920x1080"x0.0   74.25  1920 2558 2602 2750  1080 1084 1089 1125 +hsync +vsync (27.0 kHz e)
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1440x576i"x0.0   27.00  1440 1464 1590 1728  576 580 586 625 interlace -hsync -vsync (15.6 
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1440x480i"x0.0   27.00  1440 1478 1602 1716  480 488 494 525 interlace -hsync -vsync (15.7 
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1920x1080"x0.0   74.25  1920 2448 2492 2640  1080 1084 1089 1125 +hsync +vsync (28.1 kHz e)
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1440x288"x0.0   27.00  1440 1464 1590 1728  288 290 293 312 -hsync -vsync (15.6 kHz e)
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1440x240"x0.0   27.00  1440 1478 1602 1716  240 244 247 262 -hsync -vsync (15.7 kHz e)
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (--) RADEON(G0): HDMI max TMDS frequency 190000KHz
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) intel(0): resizing framebuffer to 3286x1080
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: have a master to look out for
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: adjust shatters 0 3286
Dec 27 21:07:11 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Allocate new frame buffer 1920x1088 stride 1920
Dec 27 21:07:12 daves-notebook gdm-Xorg-:0[1093]: (EE) RADEON(G0): failed to set mode: No space left on device(II) RADEON(G0): VRAM usage limit set to 457192K
Dec 27 21:07:12 daves-notebook gdm-Xorg-:0[1093]: need to create shared pixmap 1reporting 7 6 24 198
Dec 27 21:07:12 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:12 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:12 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:12 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:12 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:12 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:12 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:12 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:12 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:13 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:13 daves-notebook dbus[745]: [system] Activating via systemd: service name='org.freedesktop.GeoClue2' unit='geoclue.service'
Dec 27 21:07:13 daves-notebook dbus[745]: [system] Successfully activated service 'org.freedesktop.GeoClue2'
Dec 27 21:07:13 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:13 daves-notebook polkitd[787]: Registered Authentication Agent for unix-session:1 (system bus name :1.49 [/usr/bin/gnome-shell], object path /org/freedesk
Dec 27 21:07:13 daves-notebook org.gnome.OnlineAccounts[1608]: goa-daemon-Message: goa-daemon version 3.14.2 starting
Dec 27 21:07:13 daves-notebook org.gnome.OnlineAccounts[1608]: (goa-daemon:1810): libgoaidentity-WARNING **: GoaKerberosIdentityManager: Using polling for change notifi
Dec 27 21:07:13 daves-notebook org.gtk.Private.AfcVolumeMonitor[1608]: Volume monitor alive
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): EDID vendor "MEI", prod id 49462
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Using hsync ranges from config file
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Using vrefresh ranges from config file
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Printing DDC gathered Modelines:
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1280x720"x0.0   74.25  1280 1720 1760 1980  720 725 730 750 +hsync +vsync (37.5 kHz eP)
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1280x720"x0.0   74.25  1280 1390 1430 1650  720 725 730 750 +hsync +vsync (45.0 kHz e)
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1920x1080"x0.0  148.50  1920 2448 2492 2640  1080 1084 1089 1125 +hsync +vsync (56.2 kHz e)
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1920x1080i"x0.0   74.25  1920 2448 2492 2640  1080 1084 1094 1125 interlace +hsync +vsync (
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "720x576"x0.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1920x1080i"x0.0   74.25  1920 2008 2052 2200  1080 1084 1094 1125 interlace +hsync +vsync (
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "720x480"x0.0   27.00  720 736 798 858  480 489 495 525 -hsync -vsync (31.5 kHz e)
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1920x1080"x0.0   74.25  1920 2558 2602 2750  1080 1084 1089 1125 +hsync +vsync (27.0 kHz e)
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1440x576i"x0.0   27.00  1440 1464 1590 1728  576 580 586 625 interlace -hsync -vsync (15.6 
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1440x480i"x0.0   27.00  1440 1478 1602 1716  480 488 494 525 interlace -hsync -vsync (15.7 
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1920x1080"x0.0   74.25  1920 2448 2492 2640  1080 1084 1089 1125 +hsync +vsync (28.1 kHz e)
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1440x288"x0.0   27.00  1440 1464 1590 1728  288 290 293 312 -hsync -vsync (15.6 kHz e)
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (II) RADEON(G0): Modeline "1440x240"x0.0   27.00  1440 1478 1602 1716  240 244 247 262 -hsync -vsync (15.7 kHz e)
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: (--) RADEON(G0): HDMI max TMDS frequency 190000KHz
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:14 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:14 daves-notebook gnome-session[1600]: Failed to play sound: File or data not found
Dec 27 21:07:14 daves-notebook org.gnome.Caribou.Daemon[1608]: ** (caribou:1808): WARNING **: AT-SPI: Error in GetItems, sender=org.freedesktop.DBus, error=The name :1.
Dec 27 21:07:15 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:15 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:15 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:15 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:16 daves-notebook gnome-session[1600]: GNOME Shell started at Sat Dec 27 2014 21:07:14 GMT+0000 (GMT)
Dec 27 21:07:16 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:16 daves-notebook gnome-session[1600]: (uint32 2,)
Dec 27 21:07:17 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:17 daves-notebook gnome-session[1600]: Entering running state
Dec 27 21:07:17 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:17 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198
Dec 27 21:07:17 daves-notebook gdm-Xorg-:0[1093]: reporting 7 6 24 198

Comment 11 Adam Williamson 2014-12-29 17:23:15 UTC
Hi, Daibidh. It's certainly not this bug, this one was very specifically identified and definitely fixed in 3.17.5. Please file a new report according to https://fedoraproject.org/wiki/How_to_debug_Xorg_problems . Thanks!


Note You need to log in before you can comment on or make changes to this bug.